## Variables

Templating System : Designer Guide : Tag Reference : Variables

### Summary

Variables are used in templates as placeholders for dynamic data.

### Usage

Simple variables are referenced by surrounding the variable name with "commercial at" (`@`) signs:

    <!-- simple variables -->
    <b><i>@first_name@ @last_name@</b></i>

When processing this template, the server will look for variables named `first_name` and `last_name` and substitute their values in the output:

    <b><i>Fred Finkel</b></i>

The columns of a row variable are referenced by separating the data source name and column with a period:

    <!-- onerow or multirow data sources -->
    <b><i>@user.first_name@ @user.last_name@</b></i>

### Note(s)

- An attempt to reference a variable that does not exist will cause an error message to appear in the browser.